Retrieves the project with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

_parent_id

Reference to a parent installation

globally unique identifier
root_parent_id

This field will be filled automatically based on the parent_id

globally unique identifier
_parent_reference_back_office

Embedded entity "project" for parent installation using ERP PK when adding/updating project

string
_parent_project

Embedded entity "project" for parent installation when adding/updating project

project
equipment_family_id

Foreign key to equipment_family. It can be taken via equipment_family_code, equipment_family or equipment model that links to a valid equipment family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating project

string
equipment_family

Embedded entity "equipment_family" when adding/updating project

equipment_family
equipment_model_id

Foreign key to equipment model. It can get via equipment_family_code, equipment_family or equipment_model

globally unique identifier
equipment_model_code

Embedded entity "equipment_model" using ERP PK when adding/updating project

string
equipment_model

Embedded entity "equipment_model" when adding/updating project

equipment_model
project_status_id

Foreign key to project_status

globally unique identifier

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status_code

Embedded entity "project_status" using ERP PK when adding/updating project

string

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status

Embedded entity "project_status" when adding/updating project

project_status

Optionally required : project_status_id, project_status_code or project_status must be provided

company_id

The company owner of this project/installation

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating project

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating project

company

Optionally required : company_id, company_code or company must be provided

db_address_id

Specific db_address_id of the %company_id% if different than the company default address

globally unique identifier
db_address_code

Embedded entity "db_address" using ERP PK when adding/updating project

string
db_address

Embedded entity "db_address" when adding/updating project

db_address
location

Additional text to describe the location

string

Max length: 255

contact_id

Main contact for this project/installation

globally unique identifier
contact_reference_back_office

Embedded entity "contact" using ERP PK when adding/updating project

string
contact

Embedded entity "contact" when adding/updating project

contact
owner_user_id

User owner/manager of this project/installation

globally unique identifier
name

Name of the project/installation

string

Required

Max length: 50

description

Long description

string
reference_back_office

The Id/Ref of the back office for this project/installation. Used by Embedded entity

string

Max length: 255

serial_number

Serial number

string

Max length: 255

barcode

Barcode

string

Max length: 50

date_start_production

Date project/installation becomes active

date
date_create

Creation date+time

date
date_update

Update date+time

date
updated_by_user_id

Last User that updates the object

globally unique identifier
customer_reference

Reference of this project/installation for the customer

string

Max length: 50

warranty_date_until

End date of the warranty (if applicable)

date
last_standard_result_score_1

Last result score 1 (CF Standard module)

string

Max length: 50

last_standard_result_score_2

Last result score 2 (CF Standard module)

string
target_standard_result_score_1

Target result score 1 (CF Standard module)

string

Max length: 50

target_standard_result_score_2

Target result score 2 (CF Standard module)

string

Max length: 50

date_built

Build date of the installation (if applicable)

date
shutdown_consequence

Consequence of the installation is shut down (CEO has no air cooling anymore,..)

string

Max length: 4000

id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer
nb_open_jobs

Readonly - Number of open jobs

integer
date_next_job

Date+time of the next job planned

date
date_last_job

Date+time of the last job completed

date
nb_jobs_planned

Number of jobs with status Planned

integer
nb_jobs_tobeplanned

Number of jobs with status To Be Planned

integer
nb_jobs_waitingfurtheraction

Number of jobs with status Waiting Further Action

integer
back_office_timestamp

Back Office timestamp value (conflict detection purpose)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
is_mobile_installation

Set it TRUE if this is a mobile installation.

boolean

Response Formats

application/json, text/json

Sample:
{
  "id": "cce1298b-b3c3-4bdf-84c5-e3fb567f69d7",
  "_parent_id": "d74a758c-6b6c-485b-b7d0-eef94c264fed",
  "root_parent_id": "968ad070-37a8-4e63-bfe7-77ee3ae43876",
  "_parent_reference_back_office": "sample string 4",
  "equipment_family_id": "f7805bf3-cbec-4e80-b96b-d3f5c3ae992d",
  "equipment_family_code": "sample string 6",
  "equipment_family": {
    "id": "bcffa159-9a9a-478d-af4a-7d01270e753d",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "4bc90eb7-fbfb-4293-941f-7a6aa6b95e96",
    "_parent_code": "sample string 6",
    "sales_organization_id": "2f68e364-25ff-429b-821f-9e83f3b2b64e",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "999f1673-61a1-44dd-ab24-7d94c40956a6",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "a50cfadb-900c-4a1d-af80-19ea90bce640",
      "db_currency_id": "30aa7a80-e454-4592-839c-e531919ad48a",
      "db_language_id": "b286448d-34fc-4e67-af45-3b2ce056a70f",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00"
    },
    "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00"
  },
  "equipment_model_id": "32b3e13d-68a0-4db3-9796-b2da867e10a8",
  "equipment_model_code": "sample string 8",
  "equipment_model": {
    "id": "a66f17f0-d8c2-4008-b642-c0e62beb8384",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "equipment_brand_id": "0c6d14ff-4acd-4b41-b83b-7766d8b428b1",
    "equipment_brand_code": "sample string 6",
    "equipment_brand": {
      "id": "43f1394c-7a44-489b-b695-f5ab784cd6c9",
      "name": "sample string 2",
      "code": "sample string 3",
      "sales_organization_id": "2f1bfa77-9780-4ad4-8ee4-2746e3058427",
      "sales_organization_code": "sample string 5",
      "sales_organization": {
        "id": "999f1673-61a1-44dd-ab24-7d94c40956a6",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "a50cfadb-900c-4a1d-af80-19ea90bce640",
        "db_currency_id": "30aa7a80-e454-4592-839c-e531919ad48a",
        "db_language_id": "b286448d-34fc-4e67-af45-3b2ce056a70f",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00"
      },
      "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00"
    },
    "equipment_family_id": "9fce503c-a4e5-4f11-9c02-bbac8e74ba93",
    "equipment_family_code": "sample string 8",
    "equipment_family": {
      "id": "bcffa159-9a9a-478d-af4a-7d01270e753d",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "_parent_id": "4bc90eb7-fbfb-4293-941f-7a6aa6b95e96",
      "_parent_code": "sample string 6",
      "sales_organization_id": "2f68e364-25ff-429b-821f-9e83f3b2b64e",
      "sales_organization_code": "sample string 8",
      "sales_organization": {
        "id": "999f1673-61a1-44dd-ab24-7d94c40956a6",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "a50cfadb-900c-4a1d-af80-19ea90bce640",
        "db_currency_id": "30aa7a80-e454-4592-839c-e531919ad48a",
        "db_language_id": "b286448d-34fc-4e67-af45-3b2ce056a70f",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00"
      },
      "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00"
    },
    "date_in_production_since": "2026-05-20T21:35:21.2967214+00:00",
    "date_out_of_production_since": "2026-05-20T21:35:21.2967214+00:00",
    "date_end_support": "2026-05-20T21:35:21.2967214+00:00",
    "sales_organization_id": "28e83a06-7848-46d0-899e-f956083bc0f9",
    "sales_organization_code": "sample string 13",
    "sales_organization": {
      "id": "999f1673-61a1-44dd-ab24-7d94c40956a6",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "a50cfadb-900c-4a1d-af80-19ea90bce640",
      "db_currency_id": "30aa7a80-e454-4592-839c-e531919ad48a",
      "db_language_id": "b286448d-34fc-4e67-af45-3b2ce056a70f",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00"
    },
    "replacement_period_nb_months": 14,
    "warranty_period_nb_months": 15,
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ],
    "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00"
  },
  "project_status_id": "3f4f52a8-4263-4f2a-8069-88349f314178",
  "project_status_code": "sample string 10",
  "project_status": {
    "id": "de0d7c22-8715-40d4-a661-195cc0bde624",
    "name": "sample string 2",
    "is_default": true,
    "is_closed": true,
    "sales_organization_id": "3bc7990a-958f-4dee-9b09-a2b179f9544d",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "999f1673-61a1-44dd-ab24-7d94c40956a6",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "a50cfadb-900c-4a1d-af80-19ea90bce640",
      "db_currency_id": "30aa7a80-e454-4592-839c-e531919ad48a",
      "db_language_id": "b286448d-34fc-4e67-af45-3b2ce056a70f",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00"
    },
    "code": "sample string 7",
    "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00"
  },
  "company_id": "0d57f669-f274-47d6-824f-9b7c029f75c2",
  "company_code": "sample string 12",
  "db_address_id": "754b6b2e-23a4-4c5c-83c0-dd65266bd325",
  "db_address_code": "sample string 14",
  "location": "sample string 15",
  "contact_id": "0a0bea56-979c-4aeb-af2c-764ad1673726",
  "contact_reference_back_office": "sample string 17",
  "owner_user_id": "01577f85-f9cc-4366-b326-09a8c0333716",
  "name": "sample string 19",
  "description": "sample string 20",
  "reference_back_office": "sample string 21",
  "serial_number": "sample string 22",
  "barcode": "sample string 23",
  "date_start_production": "2026-05-20T21:35:21.2967214+00:00",
  "date_create": "2026-05-20T21:35:21.2967214+00:00",
  "date_update": "2026-05-20T21:35:21.2967214+00:00",
  "updated_by_user_id": "30be99f7-708e-4e2c-bf8b-98eda052813e",
  "customer_reference": "sample string 28",
  "warranty_date_until": "2026-05-20T21:35:21.2967214+00:00",
  "last_standard_result_score_1": "sample string 30",
  "last_standard_result_score_2": "sample string 31",
  "target_standard_result_score_1": "sample string 32",
  "target_standard_result_score_2": "sample string 33",
  "date_built": "2026-05-20T00:00:00+00:00",
  "shutdown_consequence": "sample string 35",
  "id2": 36,
  "nb_open_jobs": 37,
  "date_next_job": "2026-05-20T21:35:21.2967214+00:00",
  "date_last_job": "2026-05-20T21:35:21.2967214+00:00",
  "nb_jobs_planned": 40,
  "nb_jobs_tobeplanned": 41,
  "nb_jobs_waitingfurtheraction": 42,
  "back_office_timestamp": "2026-05-20T21:35:21.2967214+00:00",
  "modified_dateutc": "2026-05-20T21:35:21.2967214+00:00",
  "is_mobile_installation": true
}